#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
#-----------------------------------------------------------------------------
Name		:	perl-Unicode-LineBreak
Version		:	2019.001
Release		:	17.0.10.rel%{?dist}
Summary		:	String as Sequence of UAX #29 Grapheme Cluster
Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/pod/File::HomeDir

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	perl

Requires	:	perl

%global __requires_exclude perl\\(Unicode::LineBreak::Constants\\)
#-----------------------------------------------------------------------------
%description
Unicode::GCString treats Unicode string as a sequence of
extended grapheme clusters defined by Unicode Standard
Annex #29 [UAX #29].

Grapheme cluster is a sequence of Unicode character(s)
that consists of one grapheme base and optional grapheme
extender and/or “prepend” character. It is close in that
people consider as character.
#-----------------------------------------------------------------------------
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__perl}							\
	Makefile.PL						\
	INSTALLDIRS=perl					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	PERL_INSTALL_ROOT=%{buildroot}				\
	pure_install

# Fixup permissions for shared libraries from non-standard 555 to standard 755:
find									\
	%{buildroot}%{_libdir}				 		\
	-name \*.so							\
	-type f -exec chmod u+w {} \;

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name .bs -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir  {} 2>/dev/null ';'

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%doc README
%{_libdir}/perl5/%{perlvers}/core_perl/POD2/JA/Text/*.pod
%{_libdir}/perl5/%{perlvers}/core_perl/POD2/JA/Unicode/*.pod
%{_libdir}/perl5/%{perlvers}/core_perl/Text/*.pm
%{_libdir}/perl5/%{perlvers}/core_perl/Unicode/*.pm
%{_libdir}/perl5/%{perlvers}/core_perl/Unicode/LineBreak/*.pm
%{_libdir}/perl5/%{perlvers}/core_perl/Unicode/LineBreak/Defaults.pm.sample
%{_libdir}/perl5/%{perlvers}/core_perl/Unicode/*.pod
%{_libdir}/perl5/%{perlvers}/core_perl/auto/Unicode/LineBreak/*.so
%{_libdir}/perl5/%{perlvers}/core_perl/auto/sombok/extralibs.ld
%{_mandir}/man3/*.3.gz

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig


#-----------------------------------------------------------------------------
%changelog
